Download demographic data for a single submission

View as MarkdownOpen in Claude
### Overview Retrieves demographic data for a specific submission, reflecting a snapshot of the participant's demographics at the time of submission completion. ### Data Source - Demographic data is retrieved from archives and is not generated on-the-fly - If no archived demographic data exists for the submission, a 404 response will be returned ### Data Format - The demographic dataset is dynamic and evolves as questions are added or removed - For questions that weren't answered by the participant, the value will be `DATA_EXPIRED` - Fields may include standard demographic information such as age range, gender, education level, etc. This feature is only available to specific workspaces.

Authentication

AuthorizationToken

Header authentication of the form Token <token>

Path parameters

idstringRequired
The submission id

Response

Demographic data for the submission
submission_idstring or null
The ID of the submission
participant_idstring or null
The ID of the participant who made the submission
custom_study_tncs_accepted_atstring or null

When custom study terms and conditions were accepted, if not accepted this will be Not Applicable

started_atdatetime or null

When the submission was started (UTC, ISO 8601 format)

completed_atdatetime or null

When the submission was completed (UTC, ISO 8601 format)

archived_atdatetime or null

When the demographic data was archived (UTC, ISO 8601 format)

time_takeninteger or null
Time taken to complete the submission in seconds
completion_codestring or null
The completion code entered by the participant
total_approvalsinteger or null
Total number of approved submissions by this participant
demographicsmap from strings to any or null
Demographic data that was archived when the submission was completed

Errors